man.indent.refsect
Prev | Indentation | Next

## Name

man.indent.refsect — Adjust indentation of refsect* and refsection?

## Synopsis

    <xsl:param name="man.indent.refsect" select="0"></xsl:param>

## Description

If the value of `man.indent.refsect` is non-zero, the width of the left margin for `refsect1`, `refsect2` and `refsect3` contents and titles (and first-level, second-level, and third-level nested `refsection`instances) is adjusted by the value of the `man.indent.width` parameter. With `man.indent.width` set to its default value of `3n`, the main results are that:

- contents of `refsect1` are output with a left margin of three characters instead the roff default of seven or eight characters

- contents of `refsect2` are displayed in console output with a left margin of six characters instead the of the roff default of seven characters

- the contents of `refsect3` and nested `refsection` instances are adjusted accordingly.

If instead the value of `man.indent.refsect` is zero, no margin adjustment is done for `refsect*` output.

If your content is primarly comprised of `refsect1` and `refsect2` content (or the `refsection` equivalent) – with few or no `refsect3` or lower nested sections , you may be able to “conserve” space in your output by setting `man.indent.refsect` to a non-zero value. Doing so will “squeeze” the left margin in such as way as to provide an additional four characters of “room” per line in `refsect1` output. That extra room may be useful if, for example, you have many verbatim sections with long lines in them.

Prev | Up | Next
man.indent.width | Home | man.indent.blurbs